# Class TCefCustomDownloadImageCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFDownloadImageCallBack

## Declaration

`type TCefCustomDownloadImageCallback = class(TCefDownloadImageCallbackOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefDownloadImageCallbackOwn
- TCefCustomDownloadImageCallback

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage); override;`
| `constructor Create(const aEvents : IChromiumEvents); reintroduce;`
| `destructor Destroy; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage); override;`
This item has no description. Showing description inherited from ICefDownloadImageCallback.OnDownloadImageFinished. Method that will be executed when the image download has completed. |image_url| is the URL that was downloaded and |http_status_code| is the resulting HTTP status code. |image| is the resulting image, possibly at multiple scale factors, or NULL if the download failed.

| `constructor Create(const aEvents : IChromiumEvents); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.